package com.ruoyi.ems.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 国网电价配置对象 adm_gw_elecprice_config
 * 
 * @author ruoyi
 * @date 2024-07-23
 */
public class ElecGwPriceConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 配置代码 */
    @Excel(name = "配置代码")
    private String cfgCode;

    /** 用电分类 */
    private Long elecType;

    /** 用电分类*/
    @Excel(name = "用电分类")
    private String elecTypeName;

    /** 电压等级 */
    @Excel(name = "电压等级")
    private String voltageLevel;

    /** 电度用电价格 */
    @Excel(name = "电度用电价格")
    private Double degreePrice;

    /** 分时尖峰时段价格 */
    @Excel(name = "分时尖峰时段价格")
    private Double fsPeakDegreePrice;

    /** 分时高峰时段价格 */
    @Excel(name = "分时高峰时段价格")
    private Double fsHighDegreePrice;

    /** 分时平峰时段价格 */
    @Excel(name = "分时平峰时段价格")
    private Double fsFlatDegreePrice;

    /** 分时低谷时段价格 */
    @Excel(name = "分时低谷时段价格")
    private Double fsLowDegreePrice;

    /** 最大需量用电价格 */
    @Excel(name = "最大需量用电价格")
    private Double maxReqPrice;

    /** 变压器容量用电价格 */
    @Excel(name = "变压器容量用电价格")
    private Double transCapacityPrice;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCfgCode(String cfgCode) 
    {
        this.cfgCode = cfgCode;
    }

    public String getCfgCode() 
    {
        return cfgCode;
    }
    public void setElecType(Long elecType) 
    {
        this.elecType = elecType;
    }

    public Long getElecType() 
    {
        return elecType;
    }

    public String getElecTypeName() {
        return elecTypeName;
    }

    public void setElecTypeName(String elecTypeName) {
        this.elecTypeName = elecTypeName;
    }

    public void setVoltageLevel(String voltageLevel)
    {
        this.voltageLevel = voltageLevel;
    }

    public String getVoltageLevel() 
    {
        return voltageLevel;
    }

    public Double getDegreePrice() {
        return degreePrice;
    }

    public void setDegreePrice(Double degreePrice) {
        this.degreePrice = degreePrice;
    }

    public Double getFsPeakDegreePrice() {
        return fsPeakDegreePrice;
    }

    public void setFsPeakDegreePrice(Double fsPeakDegreePrice) {
        this.fsPeakDegreePrice = fsPeakDegreePrice;
    }

    public Double getFsHighDegreePrice() {
        return fsHighDegreePrice;
    }

    public void setFsHighDegreePrice(Double fsHighDegreePrice) {
        this.fsHighDegreePrice = fsHighDegreePrice;
    }

    public Double getFsFlatDegreePrice() {
        return fsFlatDegreePrice;
    }

    public void setFsFlatDegreePrice(Double fsFlatDegreePrice) {
        this.fsFlatDegreePrice = fsFlatDegreePrice;
    }

    public Double getFsLowDegreePrice() {
        return fsLowDegreePrice;
    }

    public void setFsLowDegreePrice(Double fsLowDegreePrice) {
        this.fsLowDegreePrice = fsLowDegreePrice;
    }

    public Double getMaxReqPrice() {
        return maxReqPrice;
    }

    public void setMaxReqPrice(Double maxReqPrice) {
        this.maxReqPrice = maxReqPrice;
    }

    public Double getTransCapacityPrice() {
        return transCapacityPrice;
    }

    public void setTransCapacityPrice(Double transCapacityPrice) {
        this.transCapacityPrice = transCapacityPrice;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("cfgCode", getCfgCode())
            .append("elecType", getElecType())
            .append("voltageLevel", getVoltageLevel())
            .append("degreePrice", getDegreePrice())
            .append("fsPeakDegreePrice", getFsPeakDegreePrice())
            .append("fsHighDegreePrice", getFsHighDegreePrice())
            .append("fsFlatDegreePrice", getFsFlatDegreePrice())
            .append("fsLowDegreePrice", getFsLowDegreePrice())
            .append("maxReqPrice", getMaxReqPrice())
            .append("transCapacityPrice", getTransCapacityPrice())
            .toString();
    }
}
